﻿'
' Copyright (c) 2021, MindFusion LLC - Bulgaria.
'


''' <summary>
''' Interaction logic for MainWindow.xaml
''' </summary>
Partial Public Class MainWindow
	Inherits Window
	Public Sub New()
		InitializeComponent()

		backbone = diagram.Factory.CreateShapeNode(0, 225, 800, 4, Shapes.Rectangle)
		backbone.Brush = Brushes.Black
		backbone.EnabledHandles = AdjustmentHandles.None
		backbone.HandlesStyle = HandlesStyle.Invisible

		diagram.CustomBehavior = New FishboneBehavior(diagram, backbone)
		diagram.MinimumNodeSize = New Size(0.1, 0.1)
	End Sub

	Private Sub diagram_NodeCreated(ByVal sender As Object, ByVal e As NodeEventArgs)
		If TypeOf e.Node Is CauseNode Then
			e.Node.Constraints.MoveDirection = DirectionConstraint.Horizontal
		End If
	End Sub

	Private backbone As ShapeNode
End Class
